module.exports = exports = {
    application_not_found: 'Application not found with that ID.',
    application_already_exists: 'An Application with that identifier already exists.',

    group_not_found: 'Group not found with that ID.',
    machine_not_found: 'Machine not found with that ID.',
    group_already_exists: 'A group with that name already exists.',
    machine_already_exists: 'A machine with that name already exists.',
    vault_not_found: 'A vault with that ID not found.',

    user_not_found: 'User not found with that ID.',
    photo_not_found: 'This user has no photo.',
    user_already_exists: 'A user with that identifier already exists.',

    client_not_found: 'Client not found with that ID.',
    nonexistent_client: '(Non-existent Client)',

    token_not_found: 'Token not found with that ID, or the token has expired.',

    provider_already_exists: 'A service provider with that entity_id already exists.',
    permission_already_exists: 'A permission for that target_type already exists.',
    permission_not_found: 'Permission not found with that ID.',

    setting_not_found: 'No such setting exists with that key.',

    banner_not_found: 'Banner message not found with that ID.',

    app_pw_not_found: 'App password not found with that UUID.',

    announcement_not_found: 'Announcement not found with that ID.',

    invalid_ldap_client_id: 'Invalid ldap_client_id:',
    invalid_oauth_client_id: 'Invalid oauth_client_id:',
    invalid_saml_service_provider_id: 'Invalid saml_service_provider_id:',
    invalid_target_type: 'Invalid target_type.',

    insufficient_permissions: 'Insufficient permissions.',
    missing_field: {
        one: 'Missing required field:',
        many: 'Missing one or more required fields:',
    },
    improper_field: 'Improperly formatted field:',
    alphanum_underscores: '(alphanumeric/underscores)',
    array: '(array)',
    email: '(email)',
    absolute_url: '(should be absolute URL)',
    provide_one: 'Please provide one of:',
    must_one: 'Must be one of:',
}
